Skip to main content
DELETE
/
social
/
posts
/
{id}
Delete or cancel a post
curl --request DELETE \
  --url https://api.app.hrizn.io/v1/public/social/posts/{id} \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.app.hrizn.io/v1/public/social/posts/{id}"

headers = {"X-API-Key": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.app.hrizn.io/v1/public/social/posts/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.app.hrizn.io/v1/public/social/posts/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.app.hrizn.io/v1/public/social/posts/{id}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "DELETE",
  CURLOPT_HTTPHEADER => [
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
{
  "data": {
    "success": true,
    "cancelled": true
  }
}
{
  "error": {
    "code": "validation_error",
    "message": "keyword: Required",
    "details": {},
    "request_id": "<string>"
  }
}
{
  "error": {
    "code": "validation_error",
    "message": "keyword: Required",
    "details": {},
    "request_id": "<string>"
  }
}
{
  "error": {
    "code": "validation_error",
    "message": "keyword: Required",
    "details": {},
    "request_id": "<string>"
  }
}
{
  "error": {
    "code": "validation_error",
    "message": "keyword: Required",
    "details": {},
    "request_id": "<string>"
  }
}

Authorizations

X-API-Key
string
header
required

Your Hrizn API key (prefix hzk_)

Path Parameters

id
string
required

The post id (post_id / Zernio post id)

Response

Deleted or cancelled

data
object
Last modified on July 1, 2026